# ANSIBLE & VAGRANT

## PRINCIPE

Ansible est un outils de configuration de machines.
Vagrant sert à tester les playbooks via des VMs

## INSTALLATION

```bash
python3 -m pip install --user ansible
python3 -m pip install --user ansible-core
#python3 -m pip install --user ansible-core==2.13.3 # (pour choisir une version spécifique)
```

## USAGE

- Seul:
```bash
ansible -i inventory playbook.yml
```

- Avec Vagrant:
```bash
# juste pour lancer le playbook (nécessite une VM déjà crée)
vagrant provision
# demarrer la construction de la VM + Ansible playbook configuré dans la Vagrantfile
vagrant up
# stopper la VM
vagrant halt
# détruire la VM
vagrant destroy
```
> Nécessite une Vagrantfile!